Subject: bug#43685: xonotic player ID and stats reporting are broken

From: "bdju" <[email-masked]>
Date: Mon, 28 Sep 2020 20:48:34 -0500

When playing on a server, assuming I've enabled the option in my
profile, I should have my stats submitted to stats.xonotic.org and have
a player profile made where my wins and losses are visible.
This isn't working. I asked in the #xonotic IRC and it sounds like this
sometimes happens from a certain file being left out of distro packages.
"it tends to happen when using linux distro packages that omit
key_0.d0pk" is the exact quote.
This stats reporting does not seem like a privacy concern, and it's
optional, so I doubt it was broken on purpose. Hopefully someone can fix
it. I think the option adds some fun to the game and makes the community
feel more alive. I would like to see my stats tracked properly.
Hopefully I've given enough info for someone to look into this!